Summary:	A collection of plugins for the EOG image viewer
Summary(pl.UTF-8):	Zestaw wtyczek do przeglądarki obrazków EOG
Name:		eog-plugins
Version:	3.16.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/eog-plugins/3.16/%{name}-%{version}.tar.xz
# Source0-md5:	b35affa583bf851ee275249965ab069f
Patch0:		%{name}-configure.patch
URL:		http://live.gnome.org/EyeOfGnome/Plugins
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	clutter-devel >= 1.9.4
BuildRequires:	clutter-gtk-devel >= 1.1.2
BuildRequires:	eog-devel >= 3.10.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+3-devel >= 3.4.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libchamplain-devel >= 0.12.0
BuildRequires:	libexif-devel >= 0.6.16
BuildRequires:	libgdata-devel >= 0.8.0
BuildRequires:	libpeas-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	eog >= 3.10.0
Requires:	glib2 >= 1:2.32.0
Requires:	gtk+3 >= 3.4.0
Suggests:	libpeas-gtk
Suggests:	libpeas-loader-python
Suggests:	postr
Suggests:	python-pygobject3 >= 3.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pluginsdir	%{_libdir}/eog/plugins

%description
This package provides collection of plugins for use with the Eye of
GNOME Image Viewer.

%description -l pl.UTF-8
Ten pakiet dostarcza zestaw wtyczek do przeglądarki obrazków Eye of
GNOME (Oko GNOME).

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{pluginsdir}/*.{la,py}
%{__rm} $RPM_BUILD_ROOT%{pluginsdir}/pythonconsole/*.py

%find_lang eog-plugins

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f eog-plugins.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.export-to-folder.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.fullscreenbg.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.pythonconsole.gschema.xml

%{_datadir}/appdata/eog-exif-display.metainfo.xml
%{_datadir}/appdata/eog-export-to-folder.metainfo.xml
%{_datadir}/appdata/eog-fit-to-width.metainfo.xml
%{_datadir}/appdata/eog-fullscreenbg.metainfo.xml
%{_datadir}/appdata/eog-hide-titlebar.metainfo.xml
%{_datadir}/appdata/eog-light-theme.metainfo.xml
%{_datadir}/appdata/eog-map.metainfo.xml
%{_datadir}/appdata/eog-maximize-windows.metainfo.xml
%{_datadir}/appdata/eog-postasa.metainfo.xml
%{_datadir}/appdata/eog-postr.metainfo.xml
%{_datadir}/appdata/eog-pythonconsole.metainfo.xml
%{_datadir}/appdata/eog-send-by-mail.metainfo.xml
%{_datadir}/appdata/eog-slideshowshuffle.metainfo.xml

%dir %{pluginsdir}/__pycache__

%attr(755,root,root) %{pluginsdir}/libexif-display.so
%{pluginsdir}/exif-display.plugin

%attr(755,root,root) %{pluginsdir}/libfit-to-width.so
%{pluginsdir}/fit-to-width.plugin

%dir %{_datadir}/eog/plugins/fullscreenbg
%{pluginsdir}/fullscreenbg.plugin
%{pluginsdir}/__pycache__/fullscreenbg*.pyc
%{_datadir}/eog/plugins/fullscreenbg/preferences_dialog.ui

%attr(755,root,root) %{pluginsdir}/libmap.so
%{pluginsdir}/map.plugin

%attr(755,root,root) %{pluginsdir}/libpostr.so
%{pluginsdir}/postr.plugin

%attr(755,root,root) %{pluginsdir}/libpostasa.so
%{pluginsdir}/postasa.plugin

%{pluginsdir}/maximize-windows.plugin
%{pluginsdir}/__pycache__/maximize-windows*.pyc

%{pluginsdir}/pythonconsole
%{pluginsdir}/pythonconsole.plugin
%dir %{_datadir}/eog/plugins/pythonconsole
%{_datadir}/eog/plugins/pythonconsole/config.ui

%attr(755,root,root) %{pluginsdir}/libsend-by-mail.so
%{pluginsdir}/send-by-mail.plugin

%{pluginsdir}/slideshowshuffle.plugin
%{pluginsdir}/__pycache__/slideshowshuffle*.pyc

%dir %{_datadir}/eog/plugins/export-to-folder
%{pluginsdir}/export-to-folder.plugin
%{pluginsdir}/__pycache__/export-to-folder*.pyc
%{_datadir}/eog/plugins/export-to-folder/preferences_dialog.ui

%attr(755,root,root) %{pluginsdir}/libhide-titlebar.so
%{pluginsdir}/hide-titlebar.plugin

%attr(755,root,root) %{pluginsdir}/liblight-theme.so
%{pluginsdir}/light-theme.plugin
%changelog
* Sat Oct 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eog-plugins.git;a=log;h=master

* Sat Oct 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2f5381f
- updated files

* Sat Oct 24 2015 Jan Rękorajski <baggins@pld-linux.org> be393f2
- up to 3.16.2

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> c5bd959
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 5d9ac03
- updated gettext BR

* Fri Oct 10 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ad759e8
- release 2 (by relup.sh)

* Sun Oct 20 2013 Marcin Banasiak <marcin.banasiak@gmail.com> dd9c7b0
- Update to 3.10.1

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> f980016
- updated to 3.6.1

* Wed Oct 03 2012 Łukasz Kieś <kiesiu@pld-linux.org> c8c6601
- updated to 3.6.0

* Thu Jun 07 2012 Łukasz Kieś <kiesiu@pld-linux.org> 9020cb1
- updated to 3.4.1

* Wed Mar 28 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2cd9aa0
- updated to 3.4.0

* Tue Mar 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ac77f4
- release 2

* Fri Nov 25 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 25ead47
- updated to 3.2.2

* Thu Oct 20 2011 Artur Frysiak <artur@frysiak.net> 4e12dd6
- up to 3.2.1

* Thu Sep 29 2011 Artur Frysiak <artur@frysiak.net> e68aa62
- up to 3.2.0, merge changes from DEVEL

* Sat Apr 23 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 87b58b6
- updated to 3.0.0
- readded -configure.patch
- removed postasa plugin which is not ready for eog 3

* Sat Apr 23 2011 Marcin Banasiak <marcin.banasiak@gmail.com> cc4e258
- don't look for postr binary at configure time

* Sat Apr 09 2011 lisu <lisu@pld-linux.org> 31c41de
- added TODO
- rel 1

* Sat Apr 09 2011 lisu <lisu@pld-linux.org> 8a2b664
- removed obsolete configure.patch

* Sat Apr 09 2011 lisu <lisu@pld-linux.org> d0463d7
- obsoleted

* Sat Apr 09 2011 lisu <lisu@pld-linux.org> 75535c6
- updated libchamplain BR
- restore map plugin

